/// <reference types="node" />
export declare class BinaryReader {
    private _buffer;
    private _offset;
    constructor(arrayBuffer: WithImplicitCoercion<ArrayBuffer | SharedArrayBuffer>);
    readUint8(): number;
    readUint16(): number;
    readUint32(): number;
    readUint64(): bigint;
    readUint8Array(length: number): Uint8Array;
    readHex(length: number): string;
    readString(length: number): string;
}
